/*! \file environment.h
 *  \brief This is a header file required by any application exploiting SEfile and/or SEkey.
 *  \author Fornero Matteo
 *  \date 25/11/2019
 */

#ifndef ENVIRONMENT_H_
#define ENVIRONMENT_H_

#include "../sources/L1/L1.h"
#include "SEfile.h"

extern L1 *SEcube; /**< Global pointer to the L1 object used for L1 SEcube APIs (required by SEkey and SEfile). */
extern std::vector<std::unique_ptr<SEfile>> databases; /**< This contains the list of encrypted SQLite databases used by the software. Notice that at least one database is included (the db of SEkey) but you can add your own. */
extern bool SEkey_running; /**< Global flag that tells us if SEkey is running or not. It is set to true by sekey_start() and reset to false by sekey_stop(), it is used by the secure_key_check() function. */

#endif /* ENVIRONMENT_H_ */
